## cinnamon-screensaver 4.6.0%2Bulyana

=== meson_options.txt ===
option('setres', type : 'boolean', value : false, description: 'Use setresuid/setresgid in the setuid.c helper')
option('locking', type : 'boolean', value : true, description: 'Compile in support for locking the display')
option('xinerama', type : 'boolean', value : true, description: 'Use of the Xinerama extension')
option('pam-prefix', type : 'string', value : '', description: 'specify where pam files go')

## cinnamon-screensaver 1.8.0%2Bmaya

=== debian/changelog ===
cinnamon-screensaver (1.8.0+maya) olivia; urgency=low

  * 1.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 05 May 2013 12:25:34 +0100

cinnamon-screensaver (1.7.2) olivia; urgency=low

  * 1.7.2

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Apr 2013 11:37:04 +0100

cinnamon-screensaver (1.7.1) olivia; urgency=low

  * 1.7.1

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 Feb 2013 16:35:10 +0000

cinnamon-screensaver (1.0.0) nadia; urgency=low

  * Initial version (based on gnome-screensaver 3.4.1)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jan 2013 16:50:43 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: cinnamon-screensaver
Section: gnome
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
XSBC-Original-Maintainer: Guilherme de S. Pastore <gpastore@debian.org>
Build-Depends: cdbs,
               debhelper (>= 8.1.0~),
               dh-autoreconf,
               gnome-common,
               gnome-pkg-tools (>= 0.10),
               libdbus-glib-1-dev (>= 0.30),
               libglib2.0-dev (>= 2.15.0),
               libgtk-3-dev (>= 3.0.0),
               libgnome-desktop-3-dev (>= 3.1.91),
               libgnomekbd-dev (>= 2.91.91),
               libxklavier-dev,
               libx11-dev,
               libxt-dev,
               libxext-dev,
               libx11-dev,
               libpam0g-dev,
               x11proto-xext-dev,
               x11proto-scrnsaver-dev,
               libxss-dev,
               x11proto-xf86vidmode-dev,
               libxxf86vm-dev,
               libgl1-mesa-dev | libgl1-mesa-swx11-dev,
               gsettings-desktop-schemas-dev (>= 2.91.91)
Standards-Version: 3.9.2

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         dbus-x11,
         gnome-icon-theme (>= 2.15.90),
         gsettings-desktop-schemas (>= 2.91.92),
         cinnamon
Conflicts: gnome-screensaver
Recommends: gnome-power-manager | xfce4-power-manager,
            libpam-gnome-keyring
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 It is designed to support, among other things:
 .
  * the ability to lock down configuration settings
  * translation into other languages
  * user switching

## cinnamon-screensaver 2.0.3%2Bmaya

=== debian/changelog ===
cinnamon-screensaver (2.0.3+maya) petra; urgency=low

  * 2.0.3

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 26 Oct 2013 18:34:24 +0100

cinnamon-screensaver (2.0.2) petra; urgency=low

  * 2.0.2

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 Oct 2013 14:40:55 +0100

cinnamon-screensaver (2.0.1) petra; urgency=low

  * 2.0.1

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 18 Oct 2013 15:59:15 +0100

cinnamon-screensaver (2.0.0) petra; urgency=low

  * 2.0.0

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 02 Oct 2013 16:14:24 +0100

cinnamon-screensaver (1.9.1) petra; urgency=low

  * 1.9.1

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Sep 2013 14:17:40 +0100

cinnamon-screensaver (1.8.0) olivia; urgency=low

  * 1.8.0

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 05 May 2013 12:25:34 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libdbus-glib-1-dev (>= 0.30),
                libglib2.0-dev (>= 2.15.0),
                libgtk-3-dev (>= 3.0.0),
-               libgnome-desktop-3-dev (>= 3.1.91),
+               libcinnamon-desktop-dev (>= 1.0.0),
                libgnomekbd-dev (>= 2.91.91),
                libxklavier-dev,
                libx11-dev,
@@ -29,8 +29,7 @@
                libxss-dev,
                x11proto-xf86vidmode-dev,
                libxxf86vm-dev,
-               libgl1-mesa-dev | libgl1-mesa-swx11-dev,
-               gsettings-desktop-schemas-dev (>= 2.91.91)
+               libgl1-mesa-dev | libgl1-mesa-swx11-dev
 Standards-Version: 3.9.2
 
 Package: cinnamon-screensaver
@@ -40,9 +39,9 @@
          ${misc:Depends},
          dbus-x11,
          gnome-icon-theme (>= 2.15.90),
-         gsettings-desktop-schemas (>= 2.91.92),
-         cinnamon
-Conflicts: gnome-screensaver
+         cinnamon-desktop-data (>= 1.0.0),
+         cinnamon,
+         cinnamon-translations
 Recommends: gnome-power-manager | xfce4-power-manager,
             libpam-gnome-keyring
 Description: Cinnamon screen saver and locker

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += \
			--enable-locking \
			--without-systemd

LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed

binary-post-install/cinnamon-screensaver::
	rm -rf debian/cinnamon-screensaver/usr/share/doc/cinnamon-screensaver-*

## cinnamon-screensaver 2.0.3+lmde

=== debian/changelog ===
cinnamon-screensaver (2.0.3+lmde) petra; urgency=low

  * 2.0.3

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 26 Oct 2013 18:34:24 +0100

## cinnamon-screensaver 2.2.4

=== debian/changelog ===
cinnamon-screensaver (2.2.4) qiana; urgency=medium

  [ Andrew Rossignol ]
  * Fixed a transparency issue with certain themes.

  [ Clement Lefebvre ]
  * Fixed build issue

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 06 Jun 2014 16:44:50 +0100

cinnamon-screensaver (2.2.3) qiana; urgency=medium

  * 2.2.3

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 May 2014 09:38:18 +0100

cinnamon-screensaver (2.2.2) qiana; urgency=medium

  * 2.2.2

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 May 2014 16:46:15 +0100

cinnamon-screensaver (2.2.1) qiana; urgency=medium

  * 2.2.1

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 May 2014 14:48:00 +0100

cinnamon-screensaver (2.2.0) qiana; urgency=medium

  * 2.2.0

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 12 Apr 2014 13:07:30 +0100

cinnamon-screensaver (2.0.3) petra; urgency=low

  * 2.0.3

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 26 Oct 2013 18:34:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: cinnamon-screensaver
 Section: gnome
 Priority: optional

## cinnamon-screensaver 2.4.2+rebecca

=== debian/changelog ===
cinnamon-screensaver (2.4.2+rebecca) betsy; urgency=medium

  [ Michael Webster ]
  * desktop file: Fix OnlyShowIn line, remove autogenerated .in file.
  * gs-window-x11.c: Fix some leaks, readability
  * gs-window-x11.c: Fix black background
  * gnome-wall-clock.c:  Fix regressions from b021f6f07ad8b4295ddd755eadf3e031f4456fe6

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Mar 2015 15:08:10 +0200

cinnamon-screensaver (2.4.1) betsy; urgency=medium

  * DBus listener: correctly reply so the client doesn't block waiting
  * Reduce the number of wakeups

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 18 Feb 2015 13:37:22 +0100

cinnamon-screensaver (2.4.0) rebecca; urgency=medium

  * 2.4.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Oct 2014 16:05:26 +0100

cinnamon-screensaver (2.3.0) unstable; urgency=medium

  * 2.3.0

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Jun 2014 14:24:03 +0100

=== debian/control ===
--- 
+++ 
@@ -39,7 +39,6 @@
          dbus-x11,
          gnome-icon-theme (>= 2.15.90),
          cinnamon-desktop-data (>= 1.0.0),
-         cinnamon,
          cinnamon-translations
 Recommends: gnome-power-manager | xfce4-power-manager,
             libpam-gnome-keyring

## cinnamon-screensaver 2.6.3

=== debian/changelog ===
cinnamon-screensaver (2.6.3-1) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release.

  [ Fabio Fantoni ]
  * Update dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jun 2015 21:46:27 +0200

cinnamon-screensaver (2.4.2-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Apr 2015 23:18:12 +0200

cinnamon-screensaver (2.4.1-1) experimental; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.
  * debian/patches: removed 4 patches applied upstream.

  [ Maximiliano Curia ]
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 01 Mar 2015 21:15:24 +0100

cinnamon-screensaver (2.2.4-6) unstable; urgency=medium

  * Split clang_FTBFS into two different patches:
    +  debian/patches/not_return_from_void
    +  debian/patches/ignore_clang_format_string_errors

 -- Margarita Manterola <marga@debian.org>  Sat, 25 Oct 2014 19:55:48 +0200

cinnamon-screensaver (2.2.4-5) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Use systemd only with linux to solve FTBFS on kfreebsd. (Closes: #756907)
    Thanks to Philipp Kern.

  [ Maximiliano Curia ]
  * New patch: clang_FTBFS

 -- Maximiliano Curia <maxy@debian.org>  Thu, 14 Aug 2014 03:45:40 +0200

cinnamon-screensaver (2.2.4-4) unstable; urgency=medium

  [ Fabio Fantoni ]
  * debian/control: removed cinnamon from dependecies and added
    cinnamon-common as recommends. (Closes: #755190)
  * New patch: debian/patches/fix-user-switching, fixes user switching
    with gdm3.
  * Add systemd support, since ConsoleKit is deprecated.

 -- Margarita Manterola <marga@debian.org>  Sat, 26 Jul 2014 17:50:43 +0200

cinnamon-screensaver (2.2.4-3) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Jul 2014 11:29:26 +0200

cinnamon-screensaver (2.2.4-2) experimental; urgency=medium

  [ Margarita Manterola ]
  * Fix code to expect translations in the standard path.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Jul 2014 11:20:59 +0200

cinnamon-screensaver (2.2.4-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 23 Jun 2014 14:20:22 +0200

cinnamon-screensaver (2.2.3-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Initial release (Closes: #745913).
  * Update VCS fields.
  * New upstream release 2.2.3.
  * Update copyright information.
  * Set libexecdir.
  * Update copyright information.

  [ Margarita Manterola ]
  * New upstream release 2.2.0.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 May 2014 21:29:32 +0200

=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Margarita Manterola <marga@debian.org>,
           Fabio Fantoni <fantonifabio@tiscali.it>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               python,
               gnome-common,
               gnome-pkg-tools (>= 0.10),
               libcinnamon-desktop-dev (>= 2.6.3),
               libdbus-glib-1-dev (>= 0.78),
               libglib2.0-dev (>= 2.37.3),
               libgnomekbd-dev (>= 3.6.0),
               libgtk-3-dev (>= 3.1.4),
               libpam0g-dev,
               libsystemd-login-dev [linux-any],
               libwebkit2gtk-3.0-dev,
               libx11-dev,
               libxext-dev,
               libxklavier-dev,
               libxss-dev,
               libxxf86vm-dev,
               x11proto-scrnsaver-dev,
               x11proto-xext-dev,
               x11proto-xf86vidmode-dev
Standards-Version: 3.9.6
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-cinnamon/cinnamon-screensaver.git
Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/cinnamon-screensaver.git

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: cinnamon-desktop-data (>= 2.6.3),
         dbus-x11,
         gir1.2-webkit2-3.0,
         gnome-icon-theme (>= 2.15.90),
         python,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: cinnamon-common,
            gnome-power-manager | xfce4-power-manager,
            libpam-gnome-keyring,
            xscreensaver-data,
            xscreensaver-data-extra,
            xscreensaver-gl,
            xscreensaver-gl-extra
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 It is designed to support, among other things:
 .
  * the ability to lock down configuration settings
  * translation into other languages
  * user switching

## cinnamon-screensaver 2.6.4

=== debian/changelog ===
cinnamon-screensaver (2.6.4-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release.
  * Build against libwebkit2gtk-4.0-dev. (Closes: #790705, #790713)

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Wed, 01 Jul 2015 09:22:51 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libgtk-3-dev (>= 3.1.4),
                libpam0g-dev,
                libsystemd-login-dev [linux-any],
-               libwebkit2gtk-3.0-dev,
+               libwebkit2gtk-4.0-dev,
                libx11-dev,
                libxext-dev,
                libxklavier-dev,
@@ -37,7 +37,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: cinnamon-desktop-data (>= 2.6.3),
          dbus-x11,
-         gir1.2-webkit2-3.0,
+         gir1.2-webkit2-4.0,
          gnome-icon-theme (>= 2.15.90),
          python,
          ${misc:Depends},

## cinnamon-screensaver 2.6.4+rafaela

=== debian/changelog ===
cinnamon-screensaver (2.6.4+rafaela) rafaela; urgency=medium

  [ Joseph C Wang ]
  * fix segfault due to wrong object being destroyed

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 Jun 2015 14:15:15 +0200

cinnamon-screensaver (2.6.3) rafaela; urgency=medium

  [ Dexter Chua ]
  * Fix zombie screensavers

  [ Clement Lefebvre ]
  * Removed Tower of Hanoi Webkit screensaver (takes too much CPU to be part of the default selection)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 02 Jun 2015 11:15:53 +0200

cinnamon-screensaver (2.6.2) rafaela; urgency=medium

  [ leigh123linux ]
  * bump version to account for cinnamon-desktop systemd schema change

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 May 2015 10:01:57 +0200

cinnamon-screensaver (2.6.1) rafaela; urgency=medium

  * Replaced "use-systemd" with "screensaver-uses-logind" gsettings key

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 May 2015 10:35:11 +0200

cinnamon-screensaver (2.6.0) rafaela; urgency=medium

  * 2.6.0

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 19 May 2015 17:26:43 +0200

cinnamon-screensaver (2.5.0) unstable; urgency=medium

  * bump for development

 -- Michael Webster <miketwebster@gmail.com>  Sat, 11 Apr 2015 09:09:01 -0400

cinnamon-screensaver (2.4.2) betsy; urgency=medium

  [ Michael Webster ]
  * desktop file: Fix OnlyShowIn line, remove autogenerated .in file.
  * gs-window-x11.c: Fix some leaks, readability
  * gs-window-x11.c: Fix black background
  * gnome-wall-clock.c:  Fix regressions from b021f6f07ad8b4295ddd755eadf3e031f4456fe6

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Mar 2015 15:08:10 +0200

## cinnamon-screensaver 2.8.0

=== debian/changelog ===
cinnamon-screensaver (2.8.0-1) unstable; urgency=medium

  * New upstream release (2.8.0).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Jan 2016 20:19:37 +0100

cinnamon-screensaver (2.6.4-2) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Transition to libsystemd, thanks to Michael Biebl. (Closes: #779767)

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Mon, 13 Jul 2015 21:38:43 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                libgnomekbd-dev (>= 3.6.0),
                libgtk-3-dev (>= 3.1.4),
                libpam0g-dev,
-               libsystemd-login-dev [linux-any],
+               libsystemd-dev [linux-any],
                libwebkit2gtk-4.0-dev,
                libx11-dev,
                libxext-dev,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with=autoreconf,gnome,python2

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_auto_configure:
	dh_auto_configure -- \
	    --enable-locking \
	    --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/cinnamon-screensaver

override_dh_install:
	dh_install --list-missing
	rm -rf debian/cinnamon-screensaver/usr/share/doc/cinnamon-screensaver-*

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/(.*)/cinnamon-screensaver-$1/" \
    https://github.com/linuxmint/cinnamon-screensaver/tags .*/(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## cinnamon-screensaver 2.8.0%2Brosa

=== debian/changelog ===
cinnamon-screensaver (2.8.0+rosa) rosa; urgency=medium

  [ JosephMcc ]
  * cleanup: replace deprecated gdk_cursor_unref() with g_object_unref()
  * cleanup an unused variable

  [ Michael Webster ]
  * gs-window-x11.c: Fix random crashing due to accessing invalid pointers when cleaning up the GSWindow instance.
  * gs-window-x11.c: Fix trying to control the screensaver socket after the plug has been removed (race condition) - by default the socket is destroyed when this happens.
  * gs-lock-plug.c: fix runtime warning

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Oct 2015 16:06:16 +0100

cinnamon-screensaver (2.6.4) rafaela; urgency=medium

  [ Joseph C Wang ]
  * fix segfault due to wrong object being destroyed

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 26 Jun 2015 14:15:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,10 @@
 Source: cinnamon-screensaver
 Section: x11
 Priority: optional
-Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Margarita Manterola <marga@debian.org>,
-           Fabio Fantoni <fantonifabio@tiscali.it>
+Maintainer: Linux Mint <root@linuxmint.com>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dh-python,
-               python,
                gnome-common,
                gnome-pkg-tools (>= 0.10),
                libcinnamon-desktop-dev (>= 2.6.3),
@@ -17,8 +13,8 @@
                libgnomekbd-dev (>= 3.6.0),
                libgtk-3-dev (>= 3.1.4),
                libpam0g-dev,
-               libsystemd-dev [linux-any],
-               libwebkit2gtk-4.0-dev,
+               libsystemd-login-dev [linux-any],
+               libwebkit2gtk-3.0-dev,
                libx11-dev,
                libxext-dev,
                libxklavier-dev,
@@ -28,16 +24,13 @@
                x11proto-xext-dev,
                x11proto-xf86vidmode-dev
 Standards-Version: 3.9.6
-Homepage: http://cinnamon.linuxmint.com/
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-cinnamon/cinnamon-screensaver.git
-Vcs-Git: git://anonscm.debian.org/pkg-cinnamon/cinnamon-screensaver.git
 
 Package: cinnamon-screensaver
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: cinnamon-desktop-data (>= 2.6.3),
          dbus-x11,
-         gir1.2-webkit2-4.0,
+         gir1.2-webkit2-3.0,
          gnome-icon-theme (>= 2.15.90),
          python,
          ${misc:Depends},

## cinnamon-screensaver 3.0.0

=== debian/changelog ===
cinnamon-screensaver (3.0.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Margarita Manterola <marga@debian.org>  Sun, 29 May 2016 15:50:19 +0200

cinnamon-screensaver (3.0.0-1) unstable; urgency=medium

  * New upstream release (3.0.0).
  * debian/control: Update Vcs-Browser and Vcs-Git fields
  * Add a .gitattributes file to use dpkg-mergechangelogs
  * Bump Standards-Version to 3.9.8
  * Drop upstream applied patch

 -- Maximiliano Curia <maxy@debian.org>  Sun, 15 May 2016 10:07:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,10 @@
 Source: cinnamon-screensaver
 Section: x11
 Priority: optional
-Maintainer: Linux Mint <root@linuxmint.com>
+Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Margarita Manterola <marga@debian.org>,
+           Fabio Fantoni <fantonifabio@tiscali.it>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                dh-python,
@@ -13,24 +16,28 @@
                libgnomekbd-dev (>= 3.6.0),
                libgtk-3-dev (>= 3.1.4),
                libpam0g-dev,
-               libsystemd-login-dev [linux-any],
-               libwebkit2gtk-3.0-dev,
+               libsystemd-dev [linux-any],
+               libwebkit2gtk-4.0-dev,
                libx11-dev,
                libxext-dev,
                libxklavier-dev,
                libxss-dev,
                libxxf86vm-dev,
+               python,
                x11proto-scrnsaver-dev,
                x11proto-xext-dev,
                x11proto-xf86vidmode-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
+Homepage: http://cinnamon.linuxmint.com/
+Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-screensaver.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-screensaver.git
 
 Package: cinnamon-screensaver
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: cinnamon-desktop-data (>= 2.6.3),
          dbus-x11,
-         gir1.2-webkit2-3.0,
+         gir1.2-webkit2-4.0,
          gnome-icon-theme (>= 2.15.90),
          python,
          ${misc:Depends},

## cinnamon-screensaver 3.0.1

=== debian/changelog ===
cinnamon-screensaver (3.0.1-1) unstable; urgency=medium

  [ Margarita Manterola ]
  * New upstream release.

  [ Maximiliano Curia ]
  * Add new patch: Migrate-away-from-gnome-common-deprecated-vars-and-
    macros.patch

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Aug 2016 18:30:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>,
            Margarita Manterola <marga@debian.org>,
            Fabio Fantoni <fantonifabio@tiscali.it>
-Build-Depends: debhelper (>= 9),
+Build-Depends: autoconf-archive,
+               debhelper (>= 9),
                dh-autoreconf,
                dh-python,
-               gnome-common,
                gnome-pkg-tools (>= 0.10),
+               intltool,
                libcinnamon-desktop-dev (>= 2.6.3),
                libdbus-glib-1-dev (>= 0.78),
                libglib2.0-dev (>= 2.37.3),

## cinnamon-screensaver 3.0.1%2Bsarah

=== debian/changelog ===
cinnamon-screensaver (3.0.1+sarah) sarah; urgency=medium

  [ JosephMcc ]
  * gs-lock-plug: Remove the hardcoded text colors

  [ Michael Webster ]
  * Fix unlock dialog display in hidpi.
  * gs-window-x11.c: fix a couple compiler warnings, clean up.
  * gs-lock-plug.c: look at AccountsService for user pic if .face is not found.  Simplify some of the code - pixbuf loaders have built-in file checking.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 May 2016 16:08:20 +0100

cinnamon-screensaver (3.0.0) sarah; urgency=medium

  [ monsta ]
  * configure.ac: drop obsolete macro
  * configure.ac: use dots when printing dbus version

  [ Clement Lefebvre ]
  * Support new libsystemd (which replaces libsystemd-login)

  [ Michael Webster ]
  * Stop trying to make gnome-screensaver* a symlink to cinnamon-screensaver*

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 23 Apr 2016 16:14:29 +0100

cinnamon-screensaver (2.8.0) rosa; urgency=medium

  [ JosephMcc ]
  * cleanup: replace deprecated gdk_cursor_unref() with g_object_unref()
  * cleanup an unused variable

  [ Michael Webster ]
  * gs-window-x11.c: Fix random crashing due to accessing invalid pointers when cleaning up the GSWindow instance.
  * gs-window-x11.c: Fix trying to control the screensaver socket after the plug has been removed (race condition) - by default the socket is destroyed when this happens.
  * gs-lock-plug.c: fix runtime warning

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Oct 2015 16:06:16 +0100

=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               gnome-common,
               gnome-pkg-tools (>= 0.10),
               libcinnamon-desktop-dev (>= 2.6.3),
               libdbus-glib-1-dev (>= 0.78),
               libglib2.0-dev (>= 2.37.3),
               libgnomekbd-dev (>= 3.6.0),
               libgtk-3-dev (>= 3.1.4),
               libpam0g-dev,
               libsystemd-login-dev [linux-any] | libsystemd-dev [linux-any],
               libwebkit2gtk-3.0-dev,
               libx11-dev,
               libxext-dev,
               libxklavier-dev,
               libxss-dev,
               libxxf86vm-dev,
               x11proto-scrnsaver-dev,
               x11proto-xext-dev,
               x11proto-xf86vidmode-dev
Standards-Version: 3.9.6

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: cinnamon-desktop-data (>= 2.6.3),
         dbus-x11,
         gir1.2-webkit2-3.0,
         gnome-icon-theme (>= 2.15.90),
         python,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Recommends: cinnamon-common,
            gnome-power-manager | xfce4-power-manager,
            libpam-gnome-keyring,
            xscreensaver-data,
            xscreensaver-data-extra,
            xscreensaver-gl,
            xscreensaver-gl-extra
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 It is designed to support, among other things:
 .
  * the ability to lock down configuration settings
  * translation into other languages
  * user switching

## cinnamon-screensaver 3.0.1+sarah

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --parallel --with=autoreconf,gnome,python2
+	dh $@ --parallel --with=autoreconf,gnome
 
 override_dh_gnome_clean:
 	dh_gnome_clean --no-control

## cinnamon-screensaver 3.2.9

=== debian/changelog ===
cinnamon-screensaver (3.2.9-2) experimental; urgency=medium

  * Explicitly depend on automake, as some buildds sometimes pull automaken
    instead, causing build failures.

 -- Margarita Manterola <marga@debian.org>  Sat, 17 Dec 2016 16:46:37 -0300

cinnamon-screensaver (3.2.9-1) experimental; urgency=medium

  * New upstream release (3.2.9).
  * Refresh patches
  * Add new patch: move_pamhelper_to_libexec.patch

 -- Maximiliano Curia <maxy@debian.org>  Sat, 17 Dec 2016 00:26:56 +0100

cinnamon-screensaver (3.2.6-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Drop gnome-icon-theme dependency
  * Drop gnome-common build dependency
  * Drop dbus dependency, not used anymore.
    Thanks to Simon McVittie for the report (Closes: 835842)

  [ Margarita Manterola ]
  * New upstream release.
  * Remove obsolete patches applied upstream.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 09 Dec 2016 00:03:38 +0100

=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Debian Cinnamon Team <pkg-cinnamon-team@lists.alioth.debian.org>
Uploaders:
 Maximiliano Curia <maxy@debian.org>,
 Margarita Manterola <marga@debian.org>,
 Fabio Fantoni <fantonifabio@tiscali.it>,
Build-Depends:
 autoconf-archive,
 automake,
 debhelper (>= 9),
 dh-autoreconf,
 dh-python,
 gnome-pkg-tools (>= 0.10),
 gobject-introspection,
 intltool (>= 0.40.0),
 libdbus-1-dev,
 libgirepository1.0-dev,
 libglib2.0-dev (>= 2.37.3),
 libgtk-3-dev (>= 3.1.4),
 libpam0g-dev,
 librsvg2-bin,
 libxext-dev,
 python,
 python-rsvg,
 python3:any,
Standards-Version: 3.9.8
Homepage: http://cinnamon.linuxmint.com/
Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-screensaver.git
Vcs-Git: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-screensaver.git

Package: cinnamon-screensaver
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-desktop-data (>= 3.0.0),
 gir1.2-accountsservice-1.0,
 gir1.2-cinnamondesktop-3.0,
 gir1.2-gkbd-3.0,
 gir1.2-glib-2.0,
 gir1.2-gtk-3.0,
 gir1.2-xapp-1.0,
 iso-flags-png-320x240,
 libcscreensaver0 (= ${binary:Version}),
 python3,
 python3-gi,
 python3-gi-cairo,
 python3-xlib,
 ${misc:Depends},
 ${python3:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Recommends: cinnamon-screensaver-x-plugin
Suggests: cinnamon-screensaver-webkit-plugin
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.

Package: cinnamon-screensaver-x-plugin
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-screensaver (>= 3.1.0),
 python3,
 xscreensaver-data,
 ${misc:Depends},
 ${python3:Depends},
 ${python:Depends},
Recommends: xscreensaver-data-extra, xscreensaver-gl, xscreensaver-gl-extra
Description: XScreensaver plugin for cinnamon-screensaver
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 This package contains the plugin for using the xscreensaver animations.

Package: cinnamon-screensaver-webkit-plugin
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
 cinnamon-screensaver (>= 3.1.0),
 gir1.2-webkit2-4.0 | gir1.2-webkit2-3.0,
 python3,
 ${misc:Depends},
 ${python3:Depends},
 ${python:Depends},
Description: Webkit plugin for cinnamon-screensaver
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 This package contains the plugin for using webkit screensavers.

Package: libcscreensaver0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: library and introspection data used by cinnamon-screensaver
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.
 .
 This package contains the library used by the screensaver.

## cinnamon-screensaver 3.2.13

=== debian/changelog ===
cinnamon-screensaver (3.2.13-4) unstable; urgency=medium

  * Cherry pick: "mediaPlayerWatcher.py: catch SyntaxError exception when
    evaluating PlaybackStatus property." (0063d84)
    Prevents the screensaver from dying if the media player returns a status
    message with invalid syntax.
  * Cherry pick: "framedImage.py: Just silently fail if a downloaded image fails
    to be loaded into a pixbuf." (935cde4)
    Prevents the screensaver from dying if it fails to download the media player
    artwork.
  * Cherry pick "some theme fixes for gtk 3.20+" (2b96fb3)
    Makes the password entry use some new CSS properties in GTK 3.20+
  * Cherry pick "xscreensaver plugin: Use GSubprocess instead of g_spawn_async
    for hacks" (cfa1f1a)
    Avoids left over screensaver processes when previewing them.
  * Cherry pick "stage/fader: Realize the stage offscreen, then reposition it
    before starting our fade in" (2e73a9b) + "stage.py: fix screen changed
    callback" (39da3f0).
    Avoids ugly flashes when starting and interrupting the screensaver, by
    precalculating the image off-screen before rendering (+ a fixup due to a
    function name change).
  * Cherry pick "service.py: Add the invocation to the queue prior to calling on
    the manager to lock" (5561f3c)
    Prevents possible hung commands when locking the screen.
  * Cherry pick "passwordEntry.py: Reload the keyboard layout if the xkb
    configuration changes." (55a26c2)
    Changes the default keyboard layout in the screensaver when the default is
    changed for the session.

 -- Margarita Manterola <marga@debian.org>  Sat, 20 May 2017 12:55:14 +0200

cinnamon-screensaver (3.2.13-3) unstable; urgency=medium

  * Import upstream's commit f579336 to allow users to select text in the
    password text entry. Mostly used for selecting all text and re-entering the
    password.
  * Import upstream's commits 29bd6e6 and f3c3d0f to ensure that the screensaver
    is started and the screen locked before the machine goes into
    suspend/hibernate.

 -- Margarita Manterola <marga@debian.org>  Sun, 02 Apr 2017 13:24:49 +0200

cinnamon-screensaver (3.2.13-2) unstable; urgency=medium

  * Add debian/cinnamon-screensaver-dialog, a helper script to ease the
    transition from a pre 3.2 screensaver to the 3.2 screensaver. Thanks to
    Michael Schaller for providing the script. (Closes: 853064)

 -- Margarita Manterola <marga@debian.org>  Sun, 12 Mar 2017 12:24:52 +0100

cinnamon-screensaver (3.2.13-1) unstable; urgency=medium

  * New upstream release (3.2.13).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Jan 2017 20:56:14 +0100

cinnamon-screensaver (3.2.9-4) unstable; urgency=medium

  * Release to unstable

 -- Margarita Manterola <marga@debian.org>  Tue, 20 Dec 2016 20:06:32 -0300

cinnamon-screensaver (3.2.9-3) experimental; urgency=medium

  * Add runtime dependency: python3-setproctitle

 -- Maximiliano Curia <maxy@debian.org>  Mon, 19 Dec 2016 14:26:02 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  libxext-dev,
  python,
  python-rsvg,
- python3:any,
+ python3:any | python3-all:any | python3-dev:any | python3-all-dev:any,
 Standards-Version: 3.9.8
 Homepage: http://cinnamon.linuxmint.com/
 Vcs-Browser: https://anonscm.debian.org/git/pkg-cinnamon/cinnamon-screensaver.git
@@ -46,6 +46,7 @@
  python3,
  python3-gi,
  python3-gi-cairo,
+ python3-setproctitle,
  python3-xlib,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel --with=autoreconf,python2,python3,gir

override_dh_autoreconf:
	NOCONFIGURE=1 dh_autoreconf --as-needed ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
	    --enable-locking \
	    --libexecdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/cinnamon-screensaver

override_dh_install:
	dh_install debian/cinnamon-screensaver-dialog usr/lib/$(DEB_HOST_MULTIARCH)/cinnamon-screensaver
	dh_install --list-missing
	rm -rf debian/cinnamon-screensaver/usr/share/doc/cinnamon-screensaver-*

## cinnamon-screensaver 3.2.13%2Bserena

=== debian/changelog ===
cinnamon-screensaver (3.2.13+serena) serena; urgency=medium

  [ Dustin Falgout ]
  * AuthClient: Check for pam helper in subdirectory
  * fix typo

  [ Michael Webster ]
  * cinnamon-screensaver-pam-helper.c: debug mode - don't print message strings, they may contain the password.

  [ leigh123linux ]
  * add libexec path

  [ Michael Webster ]
  * manager.py: Fix pam helper cancellation in LMDE - we have an existing workaround for LMDE that skips the fade-out when unlocking, due to another issue.  This causes our despawn_stage callback to be called immediately, which sets self.stage to None, before cancel_unlocking can be run.
  * keybindings.py: Don't allow the keyboard popup menu key to slip thru.
  * stage: Clear the clipboard if we're locked (should be inaccessible anyhow but...)
  * Add some tooltips to a few ui elements.
  * stage.py: Fix logic surrounding hiding/showing the floating widgets when power states change, or when a plugin is unable to run due to the power state.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 29 Dec 2016 15:03:13 +0000

cinnamon-screensaver (3.2.12) serena; urgency=medium

  * AuthClient: Find path for pam-helper according to runtime info

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 22 Dec 2016 17:24:46 +0000

cinnamon-screensaver (3.2.11) serena; urgency=medium

  [ Vladimir Didenko ]
  * Move pam-helper binary to libexec directory - some distros forbid ELF binaries in /usr/share

  [ Clement Lefebvre ]
  * packaging: Move cinnamon-screensaver-pam-helper to its own package

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 22 Dec 2016 15:43:30 +0000

cinnamon-screensaver (3.2.10) serena; urgency=medium

  [ leigh123linux ]
  * Fix FSF address

  [ Michael Webster ]
  * cinnamon-screensaver-pam-helper: Add a sleep to the stdin wait loop, make sure the helper is killed whenever the screensaver is deactivated.
  * manager.py: only try to cancel_unlocking if there is a stage.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 22 Dec 2016 11:50:00 +0000

cinnamon-screensaver (3.2.9) serena; urgency=medium

  [ Michael Webster ]
  * authClient.py: Use a constructor for GBytes creation (needed in LMDE introspection), ignore a message sent prior to the auth client being initialized (user hit enter as a means of bringing up the unlock dialog.)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Dec 2016 15:29:50 +0000

cinnamon-screensaver (3.2.8) serena; urgency=medium

  [ Michael Webster ]
  * debian/cinnamon-screensaver.install: fix packaging of cinnamon- screensaver-pam-helper.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 10 Dec 2016 14:05:34 +0000

cinnamon-screensaver (3.2.7) serena; urgency=medium

  [ leigh123linux ]
  * Change shebang
  * Change shebang

  [ Michael Webster ]
  * stage.py: Keep floating widgets centered within their GtkAlign region instead of using the padding CSS property - this can only ever work by taking monitor size into account.
  * stage - the unlock dialog can take up more than 1/3 the width of the screen, so account for its width when positioning floating widgets during Awake state.

  [ leigh123linux ]
  * Add missing -lXext
  * remove spaces

  [ Clement Lefebvre ]
  * Volume control: Don't crash when PA returns no default sink
  * l10n: Update POT file

  [ Michael Webster ]
  * stage.py: Regrab the stage if grab is broken (notably by fingerprint-helper's gui.)
  * Fix pam authentication to work with multi-factor, fingerprint, etc..
  * floating.py: Increase positioning delay to 30 seconds.
  * audioPanel.py: Don't show panel at all if no players are active.
  * Couple fixes: show floating widgets immediately upon sleep, add a description for AuthClient, send a failure notice when we fail.

  [ Dustin Falgout ]
  * Update pam config for multi-distro compatibility

  [ Michael Webster ]
  * Add preference to disable floating widgets...
  * clock.py: Make clock preference apply everywhere (like our other prefs)
  * cinnamon-screensaver-main.py: use setproctitle to set the process name as "cinnamon-screensaver"
  * configure.ac: Fix regression from git conflict - originally from aad72c98f1df63
  * Add a build option to enable/disable use of setresuid/setresgid in the setuid.c file for some distributions.  The default behavior remains to *not* use this.
  * Override the background color to transparent for various 'primary' widgets, this reduces (but does not eliminate) the tendency to get a 'flash' when the screensaver spawns its window.
  * mediaPlayerWatcher.py: handle metadata more gracefully - some players can return arrays of artist info, some a string - handle either.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 10 Dec 2016 11:48:37 +0000

cinnamon-screensaver (3.2.6) serena; urgency=medium

  * Remove import on BlinkLabel

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 24 Nov 2016 22:38:57 +0000

cinnamon-screensaver (3.2.5) serena; urgency=medium

  * Remove position bar and position labels in infobar

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 24 Nov 2016 18:55:32 +0000

cinnamon-screensaver (3.2.4) serena; urgency=medium

  [ Michael Webster ]
  * Replace cinnamon-screensaver bin script with cinnamon-screensaver.c, to perform setuid checks and fixes prior to python and gtk starting.
  * utils.py: remove liveuser check, it doesn't work as expected.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 23 Nov 2016 12:47:48 +0000

cinnamon-screensaver (3.2.3) serena; urgency=medium

  [ Willy Sudiarto Raharjo ]
  * Declare GdkX11.

  [ Michael Webster ]
  * events: For gtk < 3.18, skip the fade out animation, and immediately destroy the window.  Move the deactivate command into an idle callback, so we're not attempting to destroy the window while in the middle of processing a motion event.


=== debian/control ===
Source: cinnamon-screensaver
Section: x11
Priority: optional
Maintainer: Linux Mint <root@linuxmint.com>
Build-Depends: autoconf-archive,
               debhelper (>= 9),
               devscripts,
               dh-autoreconf,
               dh-python,
               dh-exec,
               librsvg2-bin,
               python-rsvg,
               libglib2.0-dev,
               libdbus-1-dev,
               libgtk-3-dev,
               libglib2.0-dev,
               libxext-dev,
               libgirepository1.0-dev,
               libpam0g-dev,
               gobject-introspection,
               intltool (>= 0.40.0),
               gnome-pkg-tools (>= 0.10)
Standards-Version: 3.9.6

Package: cinnamon-screensaver
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: cinnamon-desktop-data (>= 3.0.0),
         python3,
         python3-xlib | debian-system-adjustments,
         python3-gi,
         python3-gi-cairo,
         python3-setproctitle,
         gir1.2-cinnamondesktop-3.0,
         gir1.2-gkbd-3.0,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         gir1.2-accountsservice-1.0,
         gir1.2-xapp-1.0,
         libcscreensaver0,
         iso-flag-png,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends},
         cinnamon-screensaver-pam-helper
Recommends: libpam-gnome-keyring
Suggests: cinnamon-screensaver-x-plugin,
          cinnamon-screensaver-webkit-plugin
Description: Cinnamon screen saver and locker
 cinnamon-screensaver is a screen saver and locker that aims to have simple,
 sane and secure defaults, and be well integrated with the Cinnamon desktop.

Package: cinnamon-screensaver-pam-helper
Architecture: any
Description: PAM helper for cinnamon-screensaver

Package: cinnamon-screensaver-x-plugin
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: cinnamon-screensaver (>= 3.1.0),
         xscreensaver-data
Recommends: xscreensaver-data-extra,
            xscreensaver-gl,
            xscreensaver-gl-extra
Description: XScreensaver plugin for cinnamon-screensaver

Package: cinnamon-screensaver-webkit-plugin
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: cinnamon-screensaver (>= 3.1.0),
         gir1.2-webkit2-4.0 | gir1.2-webkit2-3.0
Description: Webkit plugin for cinnamon-screensaver

Package: libcscreensaver0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: library and introspection data used only by cinnamon-screensaver
 to work around currently un-introspectable functions in Gdk-3.0

=== debian/rules ===
#!/usr/bin/make -f

DEB_PKG_CONFIG_LIBDIR=$(shell pkg-config gobject-introspection-1.0 --variable libdir | sed -e 's/.//')

%:
	dh $@ --parallel --with=autoreconf,gnome

override_dh_gnome_clean:
	dh_gnome_clean --no-control

override_dh_install:
	sed 's@DEB_PKG_CONFIG_LIBDIR@${DEB_PKG_CONFIG_LIBDIR}@' debian/libcscreensaver0.install.in > debian/libcscreensaver0.install
	dh_install --list-missing

DEB_CONFIGURE_SCRIPT_ENV += PYTHON="/usr/bin/python3"

DEB_MAKE_EXTRA_ARGS += pythondir=/usr/share/cinnamon-screensaver

install/cinnamon-screensaver::
	dh_python3 -p$(cdbs_curpkg)
